## munin-libvirt-plugins 0.0.6

=== Makefile ===
VERSION=0.0.6
PACKAGE=munin-libvirt-plugins
SBINDIR=/usr/sbin
PLUGINDIR=/usr/share/munin/plugins
MUNINCONFDIR=/etc/munin

PLUGINS=libvirt-cputime \
	libvirt-blkstat \
	libvirt-ifstat  \
	libvirt-mem

DETECT=$(PACKAGE)-detect
PYFILES=$(patsubst %,%.py,$(PLUGINS) $(DETECT))

all: $(DETECT)

install: build
	install -d $(DESTDIR)$(PLUGINDIR)
	install -m 755 $(PLUGINS) $(DESTDIR)$(PLUGINDIR)
	install -d $(DESTDIR)$(SBINDIR)
	install -m 755 $(DETECT) $(DESTDIR)$(SBINDIR)

$(DETECT): $(DETECT).in
	sed -e "s,::MUNINCONFDIR::,$(MUNINCONFDIR),"\
            -e "s,::PLUGINDIR::,$(PLUGINDIR),"      \
            -e "s,::VERSION::,$(VERSION),"          \
            < $< > $@ 

%.py: %
	ln -s $< $@
	pychecker -q -e Error $@

check: $(DETECT) $(PYFILES)

clean:
	rm -f *.py *.pyc $(DETECT)

dist: clean check
	git-archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD | gzip -c > ../$(PACKAGE)-$(VERSION).tar.gz

.PHONY: clean check dist install build

## munin-libvirt-plugins 0.0.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.6
+VERSION=0.0.7
 PACKAGE=munin-libvirt-plugins
 SBINDIR=/usr/sbin
 PLUGINDIR=/usr/share/munin/plugins
@@ -28,7 +28,7 @@
 
 %.py: %
 	ln -s $< $@
-	pychecker -q -e Error $@
+	flake8 $@
 
 check: $(DETECT) $(PYFILES)
 
@@ -36,6 +36,6 @@
 	rm -f *.py *.pyc $(DETECT)
 
 dist: clean check
-	git-archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD | gzip -c > ../$(PACKAGE)-$(VERSION).tar.gz
+	git archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD | gzip -c > ../$(PACKAGE)-$(VERSION).tar.gz
 
 .PHONY: clean check dist install build

=== debian/changelog ===
munin-libvirt-plugins (0.0.7-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:04:45 +0200

munin-libvirt-plugins (0.0.7-1) unstable; urgency=medium

  [ Jeroen van Meeuwen (Ergo Project) ]
  * Correct git-archive command for Fedora/EL git implementations

  [ Guido Günther ]
  * New upstream version 0.0.7 (Closes: #937092)
  * Switch to python3
  * Add salsa-ci
  * Use dh 12
  * Bump standards version
  * Switch priority to optional
  * Use https URLs
  * Switch to 3.0 (quilt)
  * Add minimal autopkgtest

  [ Valentin Lorentz ]
  * Reorder services in libvirt-mem so they have the same color as on other
    graphs.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Mar 2020 10:40:36 +0200

munin-libvirt-plugins (0.0.6-1) unstable; urgency=low

  * new upstream version
     - add munin-libvirt-plugins-detect for autoconfiguration
  * [fcc1061] add watch file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Nov 2008 16:08:36 +0100

munin-libvirt-plugins (0.0.4-1) unstable; urgency=low

  * new upstream version
      - improved interaction with xen

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2008 12:50:10 +0100

munin-libvirt-plugins (0.0.3-1) unstable; urgency=low

  * new upstream version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Oct 2008 20:17:53 +0100

munin-libvirt-plugins (0.0.2-1) unstable; urgency=low

  * new upstream version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Oct 2008 15:13:50 +0100

munin-libvirt-plugins (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #502439).

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Oct 2008 10:43:56 +0200

=== debian/control ===
Source: munin-libvirt-plugins
Section: net
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 flake8,
 python3,
 python3-libvirt,
Standards-Version: 4.5.0
Homepage: https://honk.sigxcpu.org/projects/libvirt/#munin
Vcs-Git: https://honk.sigxcpu.org/git/munin-libvirt-plugins.git/

Package: munin-libvirt-plugins
Architecture: all
Depends: munin-node, python3, python3-libvirt, python3-libxml2
Description: Munin plugins using libvirt
 This package contains munin plugins using libvirt:
 . 
  * libvirt-cputime: cputime used by virtual machines
  * libvirt-bklstat: block I/O of virtual machines
  * libvirt-ifstat: network I/O of virtual machines
  * libvirt-mem: memory used by virtual machines

=== debian/tests/control ===
Test-Command: uri=test:///default /usr/share/munin/plugins/libvirt-cputime
Depends: @, libvirt-daemon
Restrictions: superficial

Test-Command: /usr/sbin/munin-libvirt-plugins-detect --help
Depends: @
Restrictions: superficial
